Notify of inbound transfer

Submit an inbound transaction hash for TBMC to resolve through its chain indexer, validate against the order's funding address, and apply to the payment order.

Path Parameters
  • paymentOrderId
    Type: string Format: uuid
    required
Body
required
application/json
  • transactions
    Type: array object[] 1…
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/v1/payment-orders/{paymentOrderId}/transactions
curl https://api.bettermoney.com/api/v1/payment-orders/123e4567-e89b-12d3-a456-426614174000/transactions \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "transactions": [
    {
      "hash": "",
      "chain": ""
    }
  ]
}'
{
  "message": "success",
  "data": {
    "paymentOrderId": "string",
    "transfersProcessed": 1
  }
}